using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace SaveFormulaInDataBase
{
    public partial class Form1 : Form
    {
        OleDbDataAdapter adapterCustomers;
        DataSet ds;
        OleDbCommandBuilder cmd;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.AllowUserFormulas = true;
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\\Program Files\\Microsoft Office\\OFFICE11\\SAMPLES\\FirstDataBase.mdb";
            OleDbConnection con = new OleDbConnection(connectionString);
            string qstringCustomers = "SELECT * FROM CustomerTable";
            ds = new DataSet();
            adapterCustomers = new OleDbDataAdapter(qstringCustomers, con);
            adapterCustomers.Fill(ds, "CustomerTable");
            cmd = new OleDbCommandBuilder(adapterCustomers);
            adapterCustomers.UpdateCommand = cmd.GetUpdateCommand();
            fpSpread1.DataSource = ds;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (DataRow row in (fpSpread1_Sheet1.DataSource as DataSet).Tables[0].Rows)
                row.EndEdit();
            adapterCustomers.Update(ds.Tables[0]);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.Cells[2, 1].Formula = "PRODUCT(C1,5)"; // Wherein Column C has Numeric value
        }
    }
}